{"docsConfig":{"theme":"palm","$schema":"https://mintlify.com/docs.json","name":"Spike API","colors":{"primary":"#0E2240","light":"#457CB1","dark":"#0E2240"},"logo":{"light":"https://mintcdn.com/trial-7e3c8695/C_wqhbtsn7F05yl4/images/logo.svg?fit=max\u0026auto=format\u0026n=C_wqhbtsn7F05yl4\u0026q=85\u0026s=435095cb4c721a082a83f3ad17fa156c","dark":"https://mintcdn.com/trial-7e3c8695/tLxMhymXagiR2q29/images/logo_dark.png?fit=max\u0026auto=format\u0026n=tLxMhymXagiR2q29\u0026q=85\u0026s=aefb879e0ea5a44c1272ae62eb37a3b9"},"favicon":"https://mintcdn.com/trial-7e3c8695/tLxMhymXagiR2q29/favicon.png?fit=max\u0026auto=format\u0026n=tLxMhymXagiR2q29\u0026q=85\u0026s=77e2f8f8b45fa7d39cf9304e409c6a1c","api":{"playground":{"display":"none"}},"navbar":{"links":[{"icon":"headset","href":"mailto:support@spikeapi.com","label":"Support"}],"primary":{"type":"button","label":"Admin Console","href":"https://admin.spikeapi.com/"}},"footer":{"socials":{"x":"https://x.com/spikeapi","linkedin":"https://www.linkedin.com/company/spike-api","website":"https://www.spikeapi.com/"}},"styling":{"eyebrows":"breadcrumbs","latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"trial-7e3c8695","hasAudioNarration":false,"actualSubdomain":"trial-7e3c8695","customDomains":["docs.spikeapi.com"],"gitSource":{"type":"github","owner":"spike-api","repo":"core-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a998e5e9b75209f69d7aef8","collectionId":"53afc8f8-aceb-435b-b145-ebe55f371353","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a998e5e9b75209f69d7aef8"},"entitlements":{},"buildId":"6a998e5e9b75209f69d7aef8","clientVersion":"0.0.4064","searchFilterCounts":[{"language":"default","tag":"SDK Documentation","count":34},{"language":"default","tag":"API Documentation","count":31},{"language":"default","tag":"API Reference: Querying Data","count":9},{"language":"default","tag":"Android","count":9},{"language":"default","tag":"React Native","count":9},{"language":"default","tag":"API Reference: Nutrition AI","count":8},{"language":"default","tag":"Android SDK Documentation","count":8},{"language":"default","tag":"Flutter","count":8},{"language":"default","tag":"iOS","count":8},{"language":"default","tag":"React Native SDK Documentation","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":":root{--spike-primary: #A4C8FD;--spike-background: #F5F9FE;--spike-secondary: #0E2240;--spike-primary-hover: #457CB1;--spike-success: #025555;--spike-surface: #fff;--spike-text: #0E2240;--spike-text-muted: #457CB1;--spike-warning: #f59e0b;--spike-error: #ef4444}.nav-logo{height:2.5rem!important}html:not(.dark){body {\n font-family: Inter, sans-serif !important;\n }\n \n h1, h2, h3, h4, h5, h6, .heading {\n font-family: Poppins, Arial, sans-serif !important;\n color: var(--spike-text) !important;\n font-weight: 500 !important;\n -webkit-font-smoothing: antialiased !important;\n }\n \n .page-title {\n color: var(--spike-text) !important;\n }\n\n /* Global Background */\n body, html {\n background: var(--spike-background) !important;\n }\n\n /* Pagination styling - slightly grey background */\n #pagination a {\n background: var(--spike-background) !important; /* Light grey background */\n border-color: #e9ecef !important; /* Slightly darker grey border */\n }\n\n #pagination a:hover {\n background: #e9ecef !important; /* Darker grey on hover */\n border-color: #dee2e6 !important;\n }\n\n /* Content areas use spike-surface (white) - Official Mintlify selectors */\n #content-area, #content-container, #content-side-layout,\n #footer, #panel,\n .mdx-content, .almond-layout,\n .card, .card-group, .code-block, .code-group,\n .callout, .expandable, .frame, .panel,\n .accordion, .accordion-group, .steps, .step,\n .tabs, .tab, .field,\n /* Legacy and common selectors */\n .main-wrapper, .content-wrapper, .page-wrapper, .docs-wrapper,\n .main-content, .docs-content, .page-content, .article-content,\n .mintlify-content, .prose, .markdown-body,\n [class*=\"content\"], [class*=\"main\"], [class*=\"wrapper\"],\n /* Override common white/grey backgrounds */\n .bg-white, .bg-gray-50, .bg-slate-50, .bg-neutral-50, .bg-background {\n background: var(--spike-surface) !important;\n }\n\n /* Better space utilization for content container on large screens */\n @media (min-width: 1280px) {\n #content-container {\n max-width: 90% !important;\n }\n \n #content-container .max-w-5xl {\n max-width: none !important;\n }\n }\n\n @media (min-width: 1536px) {\n #content-container {\n max-width: 85% !important;\n }\n \n #content-container .max-w-5xl {\n max-width: none !important;\n }\n }\n\n @media (min-width: 1920px) {\n #content-container {\n max-width: 80% !important;\n }\n \n #content-container .max-w-5xl {\n max-width: none !important;\n }\n }\n\n /* Navbar Colors */\n #navbar {\n background: var(--spike-background) !important;\n box-shadow: rgba(14, 34, 64, 0.2) 0px 1px 7px 0px !important;\n }\n\n /* Override Mintlify navbar background layers */\n #navbar .bg-gray-950\\/\\[0\\.03\\],\n #navbar [class*=\"bg-gray\"] {\n background: transparent !important;\n }\n\n #navbar .bg-background-light,\n #navbar .dark\\:bg-background-dark,\n #navbar [class*=\"bg-background\"] {\n background: var(--spike-background) !important;\n }\n\n /* Remove any borders that might create grey lines */\n #navbar .border-gray-200,\n #navbar .dark\\:border-gray-800 {\n border-color: transparent !important;\n }\n\n .navbar-link {\n color: var(--spike-text) !important;\n }\n\n .navbar-link:hover {\n color: var(--spike-primary) !important;\n }\n\n /* Sidebar Colors */\n #sidebar {\n background: var(--spike-surface) !important;\n }\n\n .sidebar-title {\n color: var(--spike-secondary) !important;\n }\n\n .nav-anchor {\n color: var(--spike-text-muted) !important;\n }\n\n .nav-anchor:hover {\n color: var(--spike-primary) !important;\n background: var(--spike-primary-light) !important;\n }\n\n .nav-anchor.active {\n color: var(--spike-primary) !important;\n background: var(--spike-primary-light) !important;\n }\n /* Button Colors */\n .tryit-button, .topbar-cta-button {\n background: var(--spike-primary) !important;\n color: white !important;\n }\n\n .tryit-button:hover, .topbar-cta-button:hover {\n background: var(--spike-primary-hover) !important;\n }\n\n /* Method Pill Colors */\n .method-pill[data-method=\"get\"] {\n background: var(--spike-success) !important;\n color: white !important;\n }\n\n .method-pill[data-method=\"post\"] {\n background: var(--spike-primary) !important;\n color: white !important;\n }\n\n .method-pill[data-method=\"put\"] {\n background: var(--spike-warning) !important;\n color: white !important;\n }\n\n .method-pill[data-method=\"delete\"] {\n background: var(--spike-error) !important;\n color: white !important;\n }\n\n /* Code Block Colors */\n .code-block {\n background: var(--spike-surface) !important;\n }\n\n /* Card Colors */\n .card {\n background: var(--spike-surface) !important;\n }\n\n /* Table of Contents Colors */\n #table-of-contents {\n background: var(--spike-surface) !important;\n }\n\n .toc-item {\n color: var(--spike-text) !important;\n }\n\n .toc-item:hover {\n color: var(--spike-primary) !important;\n }\n\n /* Search Colors */\n #search-input, #search-bar-entry {\n background: var(--spike-surface) !important;\n }\n\n #search-input:focus, #search-bar-entry:focus {\n border-color: var(--spike-primary) !important;\n }\n\n /* Override search button background classes */\n #search-bar-entry.bg-background-light {\n background: var(--spike-surface) !important;\n }\n\n /* Pagination Colors */\n .pagination-next, .pagination-prev {\n color: var(--spike-text) !important;\n }\n\n .pagination-next:hover, .pagination-prev:hover {\n color: var(--spike-primary) !important;\n }}.mermaid svg .actor-bottom{display:none!important}html:not(.dark) .mermaid svg .actor rect{fill:var(--spike-background)!important;stroke:var(--spike-primary)!important}html:not(.dark) .mermaid rect.actor{fill:var(--spike-background)!important;stroke:var(--spike-primary)!important}html:not(.dark) .mermaid .actor{fill:var(--spike-background)!important;stroke:var(--spike-primary)!important}html:not(.dark) .mermaid svg .actor text{fill:var(--spike-secondary)!important}html:not(.dark) .mermaid svg text.actor{fill:var(--spike-secondary)!important}html:not(.dark) .mermaid svg text.actor-box{fill:var(--spike-secondary)!important}html:not(.dark) .mermaid svg .actor-line{stroke:var(--spike-primary-hover)!important}html:not(.dark) .mermaid svg .note{fill:var(--spike-surface)!important;stroke:var(--spike-primary)!important}html:not(.dark) .mermaid svg .labelBox{fill:var(--spike-surface)!important;stroke:var(--spike-primary-hover)!important}"}],"page":{"pagePath":"api-reference/upload-lab-report","slug":"/api-reference/upload-lab-report","pageMetadata":{"openapi":"post /lab_reports","title":"Upload Lab Report","description":"Upload and process a base64 encoded document.","href":"/api-reference/upload-lab-report"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Upload and process a base64 encoded document.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /lab_reports","title":"Upload Lab Report","description":"Upload and process a base64 encoded document.","href":"/api-reference/upload-lab-report"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"description":"Upload and process a base64 encoded document.","operationId":"postLabReports","requestBody":"47b86549-9cfd-48f6-b8a0-e99f13e2b91f","responses":{"200":"60b8b9ab-94e7-4696-b288-bc3f95e34ba2","400":"b15bcb0e-e1a2-4531-8340-6b8a23b48756","401":"81bf6111-8f36-42fd-8aca-d076bdb9b5fe","404":"2d484f4c-942e-44fb-9d6c-8c197dcb20a0","422":"eb88ca8c-7193-4893-924a-3136378469bb","500":"f5f90d01-af97-4675-8fdc-aa099ce4df46"},"security":["6226d10e-1d86-4bea-8206-e8936be6433a"],"summary":"Upload Lab Report","tags":["Lab Reports"],"method":"post","type":"path","servers":["ef9b78f7-3265-4121-bc10-018f5c64886c"],"path":"/lab_reports","baseUrlOptions":["https://app-api.spikeapi.com/v3"],"title":"Upload Lab Report","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"body":{"description":"raw body in base64","type":"string","isRequired":true,"uniqueKey":"body","typeLabel":"string"},"filename":{"description":"filename of the document","type":"string","isRequired":true,"uniqueKey":"filename","typeLabel":"string"},"wait_on_process":{"description":"wait for the process to complete","type":"boolean","uniqueKey":"wait_on_process","typeLabel":"boolean"}},"required":["body","filename"],"type":"object","description":"raw body","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"body":"\u003cstring>","filename":"\u003cstring>","wait_on_process":true}}},"exampleType":"generated"}},"required":true,"exampleType":"generated"},"responses":{"60b8b9ab-94e7-4696-b288-bc3f95e34ba2":{"content":{"application/json":{"schema":{"additionalProperties":false,"properties":{"lab_report":{"additionalProperties":false,"properties":{"record_id":{"description":"Unique identifier for a record.","examples":["12345678-1234-abcd-4321-abcdef123456"],"format":"uuid","type":"string","isRequired":true,"uniqueKey":"lab_report.record_id","typeLabel":"string\u003cuuid>"},"status":{"description":"Lab Report Status","enum":["pending","processing","completed","failed"],"type":"string","isRequired":true,"uniqueKey":"lab_report.status","typeLabel":"enum\u003cstring>"},"collection_date":{"type":"string","uniqueKey":"lab_report.collection_date","typeLabel":"string"},"lab_information":{"additionalProperties":false,"properties":{"address":{"type":"string","uniqueKey":"lab_report.lab_information.address","typeLabel":"string"},"email_address":{"type":"string","uniqueKey":"lab_report.lab_information.email_address","typeLabel":"string"},"name":{"type":"string","uniqueKey":"lab_report.lab_information.name","typeLabel":"string"},"notes":{"type":"string","uniqueKey":"lab_report.lab_information.notes","typeLabel":"string"},"phone_number":{"type":"string","uniqueKey":"lab_report.lab_information.phone_number","typeLabel":"string"}},"type":"object","uniqueKey":"lab_report.lab_information","typeLabel":"object"},"modified_at":{"format":"date-time","type":"string","uniqueKey":"lab_report.modified_at","typeLabel":"string\u003cdate-time>"},"notes":{"type":"string","uniqueKey":"lab_report.notes","typeLabel":"string"},"original_record_id":{"type":"string","uniqueKey":"lab_report.original_record_id","typeLabel":"string"},"parsing_error":{"type":"string","uniqueKey":"lab_report.parsing_error","typeLabel":"string"},"patient_information":{"additionalProperties":false,"properties":{"address":{"type":"string","uniqueKey":"lab_report.patient_information.address","typeLabel":"string"},"age":{"format":"int32","minimum":0,"type":"integer","uniqueKey":"lab_report.patient_information.age","typeLabel":"integer\u003cint32>"},"date_of_birth":{"type":"string","uniqueKey":"lab_report.patient_information.date_of_birth","typeLabel":"string"},"email_address":{"type":"string","uniqueKey":"lab_report.patient_information.email_address","typeLabel":"string"},"gender":{"type":"string","uniqueKey":"lab_report.patient_information.gender","typeLabel":"string"},"name":{"type":"string","uniqueKey":"lab_report.patient_information.name","typeLabel":"string"},"notes":{"type":"string","uniqueKey":"lab_report.patient_information.notes","typeLabel":"string"},"patient_id":{"type":"string","uniqueKey":"lab_report.patient_information.patient_id","typeLabel":"string"},"phone_number":{"type":"string","uniqueKey":"lab_report.patient_information.phone_number","typeLabel":"string"}},"type":"object","uniqueKey":"lab_report.patient_information","typeLabel":"object"},"result_date":{"type":"string","uniqueKey":"lab_report.result_date","typeLabel":"string"},"sections":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"loinc_code":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].loinc_code","typeLabel":"string"},"loinc_common_name":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].loinc_common_name","typeLabel":"string"},"original_section_name":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].original_section_name","typeLabel":"string"},"results":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"original_test_name":{"type":"string","isRequired":true,"uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].original_test_name","typeLabel":"string"},"original_unit_name":{"type":"string","isRequired":true,"uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].original_unit_name","typeLabel":"string"},"standard_test_name":{"type":"string","isRequired":true,"uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].standard_test_name","typeLabel":"string"},"standard_unit_name":{"type":"string","isRequired":true,"uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].standard_unit_name","typeLabel":"string"},"loinc_code":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].loinc_code","typeLabel":"string"},"loinc_common_name":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].loinc_common_name","typeLabel":"string"},"normal_max":{"format":"double","type":"number","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].normal_max","typeLabel":"number\u003cdouble>"},"normal_min":{"format":"double","type":"number","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].normal_min","typeLabel":"number\u003cdouble>"},"notes":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].notes","typeLabel":"string"},"require_human_review":{"type":"boolean","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].require_human_review","typeLabel":"boolean"},"tested_positive":{"type":"boolean","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].tested_positive","typeLabel":"boolean"},"value":{"format":"double","type":"number","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].value","typeLabel":"number\u003cdouble>"},"value_text":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].value_text","typeLabel":"string"},"within_normal_range":{"type":"boolean","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX].within_normal_range","typeLabel":"boolean"}},"required":["original_test_name","original_unit_name","standard_unit_name","standard_test_name"],"type":"object","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"loinc_code":{"type":"string"},"loinc_common_name":{"type":"string"},"normal_max":{"format":"double","type":"number"},"normal_min":{"format":"double","type":"number"},"notes":{"type":"string"},"original_test_name":{"type":"string"},"original_unit_name":{"type":"string"},"require_human_review":{"type":"boolean"},"standard_test_name":{"type":"string"},"standard_unit_name":{"type":"string"},"tested_positive":{"type":"boolean"},"value":{"format":"double","type":"number"},"value_text":{"type":"string"},"within_normal_range":{"type":"boolean"}},"required":["original_test_name","original_unit_name","standard_unit_name","standard_test_name"],"type":"object"},"type":"null","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results.oneOf.1","typeLabel":"null"}],"uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].results","typeLabel":"object[] | null"},"section_notes":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].section_notes","typeLabel":"string"},"standard_section_name":{"type":"string","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX].standard_section_name","typeLabel":"string"}},"type":"object","uniqueKey":"lab_report.sections.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"lab_report.sections.oneOf.0","typeLabel":"object[]"},{"items":{"additionalProperties":false,"properties":{"loinc_code":{"type":"string"},"loinc_common_name":{"type":"string"},"original_section_name":{"type":"string"},"results":{"oneOf":[{"items":{"additionalProperties":false,"properties":{"loinc_code":{"type":"string"},"loinc_common_name":{"type":"string"},"normal_max":{"format":"double","type":"number"},"normal_min":{"format":"double","type":"number"},"notes":{"type":"string"},"original_test_name":{"type":"string"},"original_unit_name":{"type":"string"},"require_human_review":{"type":"boolean"},"standard_test_name":{"type":"string"},"standard_unit_name":{"type":"string"},"tested_positive":{"type":"boolean"},"value":{"format":"double","type":"number"},"value_text":{"type":"string"},"within_normal_range":{"type":"boolean"}},"required":["original_test_name","original_unit_name","standard_unit_name","standard_test_name"],"type":"object"},"type":"array"},{"items":{"additionalProperties":false,"properties":{"loinc_code":{"type":"string"},"loinc_common_name":{"type":"string"},"normal_max":{"format":"double","type":"number"},"normal_min":{"format":"double","type":"number"},"notes":{"type":"string"},"original_test_name":{"type":"string"},"original_unit_name":{"type":"string"},"require_human_review":{"type":"boolean"},"standard_test_name":{"type":"string"},"standard_unit_name":{"type":"string"},"tested_positive":{"type":"boolean"},"value":{"format":"double","type":"number"},"value_text":{"type":"string"},"within_normal_range":{"type":"boolean"}},"required":["original_test_name","original_unit_name","standard_unit_name","standard_test_name"],"type":"object"},"type":"null"}]},"section_notes":{"type":"string"},"standard_section_name":{"type":"string"}},"type":"object"},"type":"null","uniqueKey":"lab_report.sections.oneOf.1","typeLabel":"null"}],"uniqueKey":"lab_report.sections","typeLabel":"object[] | null"},"uploaded_at":{"format":"date-time","type":"string","uniqueKey":"lab_report.uploaded_at","typeLabel":"string\u003cdate-time>"}},"required":["status","record_id"],"type":"object","isRequired":true,"uniqueKey":"lab_report","typeLabel":"object"}},"required":["lab_report"],"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"lab_report":{"record_id":"12345678-1234-abcd-4321-abcdef123456","status":"pending","collection_date":"\u003cstring>","lab_information":{"address":"\u003cstring>","email_address":"\u003cstring>","name":"\u003cstring>","notes":"\u003cstring>","phone_number":"\u003cstring>"},"modified_at":"2023-11-07T05:31:56Z","notes":"\u003cstring>","original_record_id":"\u003cstring>","parsing_error":"\u003cstring>","patient_information":{"address":"\u003cstring>","age":1,"date_of_birth":"\u003cstring>","email_address":"\u003cstring>","gender":"\u003cstring>","name":"\u003cstring>","notes":"\u003cstring>","patient_id":"\u003cstring>","phone_number":"\u003cstring>"},"result_date":"\u003cstring>","sections":[{"loinc_code":"\u003cstring>","loinc_common_name":"\u003cstring>","original_section_name":"\u003cstring>","results":[{"original_test_name":"\u003cstring>","original_unit_name":"\u003cstring>","standard_test_name":"\u003cstring>","standard_unit_name":"\u003cstring>","loinc_code":"\u003cstring>","loinc_common_name":"\u003cstring>","normal_max":123,"normal_min":123,"notes":"\u003cstring>","require_human_review":true,"tested_positive":true,"value":123,"value_text":"\u003cstring>","within_normal_range":true}],"section_notes":"\u003cstring>","standard_section_name":"\u003cstring>"}],"uploaded_at":"2023-11-07T05:31:56Z"}}}},"exampleType":"generated"}},"description":"OK","exampleType":"generated"},"b15bcb0e-e1a2-4531-8340-6b8a23b48756":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Bad Request","exampleType":"generated"},"81bf6111-8f36-42fd-8aca-d076bdb9b5fe":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Unauthorized","exampleType":"generated"},"2d484f4c-942e-44fb-9d6c-8c197dcb20a0":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Not Found","exampleType":"generated"},"eb88ca8c-7193-4893-924a-3136378469bb":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Unprocessable Entity","exampleType":"generated"},"f5f90d01-af97-4675-8fdc-aa099ce4df46":{"content":{"application/problem+json":{"schema":{"additionalProperties":false,"properties":{"detail":{"description":"A human-readable explanation specific to this occurrence of the problem.","examples":["Property foo is required but is missing."],"type":"string","uniqueKey":"detail","typeLabel":"string"},"errors":{"oneOf":[{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].location","typeLabel":"string"},"message":{"description":"Error message text","type":"string","uniqueKey":"errors.oneOf.0.items.[INDEX].message","typeLabel":"string"},"value":{"description":"The value at the given location","uniqueKey":"errors.oneOf.0.items.[INDEX].value","typeLabel":"any"}},"type":"object","uniqueKey":"errors.oneOf.0.items.[INDEX]","typeLabel":"object"},"type":"array","uniqueKey":"errors.oneOf.0","typeLabel":"object[]"},{"description":"Optional list of individual error details","items":{"additionalProperties":false,"properties":{"location":{"description":"Where the error occurred, e.g. 'body.items[3].tags' or 'path.thing-id'","type":"string"},"message":{"description":"Error message text","type":"string"},"value":{"description":"The value at the given location"}},"type":"object"},"type":"null","uniqueKey":"errors.oneOf.1","typeLabel":"null"}],"uniqueKey":"errors","typeLabel":"object[] | null"},"instance":{"description":"A URI reference that identifies the specific occurrence of the problem.","examples":["https://example.com/error-log/abc123"],"format":"uri","type":"string","uniqueKey":"instance","typeLabel":"string\u003curi>"},"status":{"description":"HTTP status code","examples":[400],"format":"int64","type":"integer","uniqueKey":"status","typeLabel":"integer\u003cint64>"},"title":{"description":"A short, human-readable summary of the problem type. This value should not change between occurrences of the error.","examples":["Bad Request"],"type":"string","uniqueKey":"title","typeLabel":"string"},"type":{"default":"about:blank","description":"A URI reference to human-readable documentation for the error.","examples":["https://example.com/errors/example"],"format":"uri","type":"string","uniqueKey":"type","typeLabel":"string\u003curi>"}},"type":"object","uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"detail":"Property foo is required but is missing.","errors":[{"location":"\u003cstring>","message":"\u003cstring>","value":"\u003cunknown>"}],"instance":"https://example.com/error-log/abc123","status":400,"title":"Bad Request","type":"https://example.com/errors/example"}}},"exampleType":"generated"}},"description":"Internal Server Error","exampleType":"generated"}},"security":{"6226d10e-1d86-4bea-8206-e8936be6433a":{"bearer":{"bearerFormat":"JWT","scheme":"bearer","type":"http","scopes":[]}}},"servers":{"ef9b78f7-3265-4121-bc10-018f5c64886c":{"url":"https://app-api.spikeapi.com/v3"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"bearerFormat":"JWT","scheme":"bearer","type":"http","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearer","name":"Authorization"}],"title":"bearer"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"trial-7e3c8695","siteName":"Spike API","title":"Upload Lab Report - Spike API","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-01-27T08:49:54.604Z","originalFileLocation":"api-reference/upload-lab-report.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Upload and process a base64 encoded document.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Spike API\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Upload Lab Report - Spike API\">\u003cmeta data-mint-head property=\"og:description\" content=\"Upload and process a base64 encoded document.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Spike API\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.spikeapi.com/api-reference/upload-lab-report\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://trial-7e3c8695.mintlify.app/_mintlify/api/og/v2?division=API+Reference%3A+Lab+Reports\u0026amp;title=Upload+Lab+Report\u0026amp;description=Upload+and+process+a+base64+encoded+document.\u0026amp;theme=7cc5474a77bf202e013c570b\u0026amp;signature=6ea4d1040685c3e83b50942fb19c7bd7a84f49af12bbe30b9a6d83ddf4118ca2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Upload Lab Report - Spike API\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Upload and process a base64 encoded document.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://trial-7e3c8695.mintlify.app/_mintlify/api/og/v2?division=API+Reference%3A+Lab+Reports\u0026amp;title=Upload+Lab+Report\u0026amp;description=Upload+and+process+a+base64+encoded+document.\u0026amp;theme=7cc5474a77bf202e013c570b\u0026amp;signature=6ea4d1040685c3e83b50942fb19c7bd7a84f49af12bbe30b9a6d83ddf4118ca2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/trial-7e3c8695/Vf-2TqFNQYSDp2gp/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Spike API\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0E2240\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.spikeapi.com/api-reference/upload-lab-report\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/upload-lab-report.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.spikeapi.com/#organization\",\"name\":\"Spike API\",\"url\":\"https://docs.spikeapi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/trial-7e3c8695/C_wqhbtsn7F05yl4/images/logo.svg?fit=max\u0026auto=format\u0026n=C_wqhbtsn7F05yl4\u0026q=85\u0026s=435095cb4c721a082a83f3ad17fa156c\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.spikeapi.com#website\",\"name\":\"Spike API\",\"url\":\"https://docs.spikeapi.com\",\"publisher\":{\"@id\":\"https://docs.spikeapi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.spikeapi.com/api-reference/upload-lab-report#webpage\",\"url\":\"https://docs.spikeapi.com/api-reference/upload-lab-report\",\"name\":\"Upload Lab Report\",\"description\":\"Upload and process a base64 encoded document.\",\"dateModified\":\"2026-01-27T08:49:54.604Z\",\"isPartOf\":{\"@id\":\"https://docs.spikeapi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.spikeapi.com/api-reference/upload-lab-report#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.spikeapi.com/api-reference/upload-lab-report#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Spike API\",\"item\":\"https://docs.spikeapi.com\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Upload Lab Report\",\"item\":\"https://docs.spikeapi.com/api-reference/upload-lab-report\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.spikeapi.com/api-reference/upload-lab-report#apireference\",\"headline\":\"Upload Lab Report\",\"name\":\"Upload Lab Report\",\"description\":\"Upload and process a base64 encoded document.\",\"url\":\"https://docs.spikeapi.com/api-reference/upload-lab-report\",\"mainEntityOfPage\":{\"@id\":\"https://docs.spikeapi.com/api-reference/upload-lab-report#webpage\"},\"dateModified\":\"2026-01-27T08:49:54.604Z\",\"publisher\":{\"@id\":\"https://docs.spikeapi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.spikeapi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Spike API\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Spike API","nav":{"global":null,"tabs":[{"tab":"Welcome","pages":[{"title":"Welcome","href":"/overview"}]},{"tab":"API Documentation","groups":[{"group":"Integrating with Spike API","pages":[{"title":"API Overview","icon":"circle-info","href":"/api-docs/overview"},{"title":"Configuration","icon":"gear","href":"/api-docs/configuration"},{"title":"Authentication","icon":"lock-keyhole","href":"/api-docs/authentication"},{"title":"Provider Integration","icon":"link","href":"/api-docs/provider_integration"},{"title":"Webhooks","icon":"bell","href":"/api-docs/webhooks"},{"title":"Querying Data","icon":"database","href":"/api-docs/query_options_comparison"},{"title":"Errors","icon":"triangle-exclamation","href":"/api-docs/errors"}]},{"group":"API Reference: User Management","pages":[{"openapi":"delete /providers/{provider_slug}/integration","title":"Delete Integration","href":"/api-reference/delete-integration"},{"openapi":"get /userinfo","title":"User Information","href":"/api-reference/user-info"},{"openapi":"get /userproperties","title":"User Properties","href":"/api-reference/user-properties"}]},{"group":"API Reference: Querying Data","pages":[{"openapi":"get /queries/provider_records","title":"List Provider Records","href":"/api-reference/query-provider-records-list"},{"openapi":"get /queries/provider_records/{record_id}","title":"Get Provider Record","href":"/api-reference/query-provider-record-by-id"},{"openapi":"get /queries/sleeps","title":"List Sleeps","href":"/api-reference/query-sleep-list"},{"openapi":"get /queries/sleeps/{sleep_id}","title":"Get Sleep","href":"/api-reference/query-sleep-by-id"},{"openapi":"get /queries/workouts","title":"List Workouts","href":"/api-reference/query-workouts-list"},{"openapi":"get /queries/workouts/{workout_id}","title":"Get Workout","href":"/api-reference/query-workout-by-id"},{"openapi":"get /queries/statistics/interval","title":"Interval Statistics","href":"/api-reference/query-statistics-interval"},{"openapi":"get /queries/statistics/daily","title":"Daily Statistics","href":"/api-reference/query-statistics-daily"},{"openapi":"get /queries/timeseries","title":"Time Series","href":"/api-reference/query-timeseries"}]},{"group":"API Reference: Nutrition AI","pages":[{"openapi":"post /nutrition_records/image","title":"Analyze Nutrition Image","href":"/api-reference/analyze-nutrition-image"},{"openapi":"post /nutrition_records/ingredients/label","sidebarTitle":"Analyze Nutrition Label","title":"Analyze Nutrition Facts Label","href":"/api-reference/analyze-nutrition-label"},{"openapi":"post /nutrition_records/manual","title":"Upload Nutrition Record","href":"/api-reference/upload-nutrition-record"},{"openapi":"patch /nutrition_records/{nutrition_record_id}","title":"Modify Nutrition Record","href":"/api-reference/modify-nutrition-record"},{"openapi":"put /nutrition_records/{nutrition_record_id}","title":"Replace Nutrition Record","href":"/api-reference/replace-nutrition-record"},{"openapi":"get /nutrition_records","title":"List Nutrition Records","href":"/api-reference/list-nutrition-records"},{"openapi":"get /nutrition_records/{nutrition_record_id}","title":"Get Nutrition Record","href":"/api-reference/get-nutrition-record"},{"openapi":"delete /nutrition_records/{nutrition_record_id}","title":"Delete Nutrition Record","description":"##### Delete a nutrition report record by ID.\n\nAn HTTP 204 status code will be returned if successful, regardless if the record existed or not.\n","href":"/api-reference/delete-nutrition-record"}]},{"group":"API Reference: Lab Reports","pages":[{"openapi":"post /lab_reports","title":"Upload Lab Report","href":"/api-reference/upload-lab-report"},{"openapi":"get /lab_reports","title":"List Lab Reports","description":"Retrieve a list of lab reports by the time range.","href":"/api-reference/list-lab-reports"},{"openapi":"get /lab_reports/{lab_report_id}","title":"Get Lab Report","href":"/api-reference/get-lab-report"}]},{"group":"Release Notes","pages":[{"title":"Release Notes","icon":"rocket","href":"/api-docs/releases"}]}]},{"tab":"SDK Documentation","menu":[{"item":"iOS","icon":"apple","pages":[{"title":"iOS","href":"/sdk-docs/ios/overview"}]},{"item":"Android","icon":"android","pages":[{"title":"Android","href":"/sdk-docs/android/overview"}]},{"item":"React Native","icon":"react","pages":[{"title":"React Native","href":"/sdk-docs/react-native/overview"}]},{"item":"Flutter","icon":"flutter","pages":[{"title":"Flutter","href":"/sdk-docs/flutter/overview"}]}],"pages":[{"title":"SDK Documentation","href":"/sdk-docs/ios/overview"}]},{"tab":"Nutrition AI","pages":[{"title":"Nutrition AI","href":"/nutrition-ai/overview"}]},{"tab":"Lab Reports","hidden":false,"pages":[{"title":"Lab Reports","href":"/lab-reports/overview"}]},{"tab":"Spike Care Benefits Checks","hidden":true,"pages":[{"title":"Spike Care Benefits Checks","href":"/api-spike-care/overview"}]},{"tab":"MCP","pages":[{"title":"MCP","href":"/mcp-docs/overview"}]},{"tab":"Technical References","pages":[{"title":"Technical References","href":"/technical-references/application_configuration"}]}]},"basePath":"","title":"Upload Lab Report - Spike API","buildId":"dpl_2gSLkbMoF5kkLsBqYzq9KWtDyJRo","deploymentId":"dpl_2gSLkbMoF5kkLsBqYzq9KWtDyJRo","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-hfTk6MZX.js","utils-Bfp7HcY4.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D8dSW7yV.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-CFgQXcZO.js","snippetPresets-dMW1-pV3.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-DyrCOido.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-Bwwdcyh3.js","shallow-drVXTg79.js","getApiPlaygroundDisplay-GMPxUzWV.js","CodeSnippet-wTmV0wP6.js","CodeSnippets-D_QxCJEq.js","Page-BsZAA8xk.js","getPastedJson-Dev-X0Xy.js","icon-7L2WL0jD.js","MethodPill-Ble59Dl_.js","DuplicateIcon-r-98uLGh.js","createIcon-DaFzipjW.js","DynamicMarkdown-Jk8YAWGN.js","SectionHeading-nLgrCDOg.js","axios-vUo_bRtp.js","Markdown-_QGow1Wo.js","clsx-v8ssfMzu.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-CjboTi0T.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DkAyo-p5.js"]}